Main Page Class Hierarchy Alphabetical List Compound List Examples

Public Types | Public Member Functions | List of all members
codec Struct Referenceabstract

Codecs base class. More...

`#include <codec_base.h>`

Inheritance diagram for codec:

## Public Types

typedef unsigned char | char_type

## Public Member Functions

virtual const char * | name () const =0
virtual double | codeSizeMultiplier () const

## Detailed Description

Codecs base class.

## Member Function Documentation

## ◆ codeSizeMultiplier()

virtual double codeSizeMultiplier | ( |  | ) | const

inline virtual

return the multiplier of the required (max) size of the output buffer when encoding

Reimplemented in Base64::Encoder, and QP::Encoder.

Referenced by Body::code(), and Body::load().

## ◆ name()

virtual const char * name | ( |  | ) | const

pure virtual

Implemented in Base64::Decoder, Base64::Encoder, QP::Decoder, and QP::Encoder.

The documentation for this struct was generated from the following file:

- codec_base.h